Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.listBridges();
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"appliance": {
"announcedServiceCount": 123,
"lastSeenAt": "2023-11-07T05:31:56Z",
"links": [
{
"avgRtt": "<string>",
"leaseExpiresAt": "2023-11-07T05:31:56Z",
"relayAddress": "<string>",
"relayId": "<string>"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Tunnel
List Bridges
ListBridges returns the tenant’s bridges, paginated, each with live appliance status.
GET
/
api
/
v1
/
iam
/
tunnel
/
bridges
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.listBridges();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Was this page helpful?
⌘I